@charset "UTF-8";
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --tablet:	1090px;
  --phone:	830px;
  --normal:	400;
  --bold:	800;
  --bg:	#ffffff;
  --text:	#000000;
  --main-hex:	#0099ff;
  --main-hue:	204;
  --main-saturation:	100%;
  --main-lightness:	50%;
  --main-medium:	hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  --main-bright:	hsl(var(--main-hue), var(--main-saturation), 85%);
  --main-dark:	hsl(var(--main-hue), var(--main-saturation), 20%);
  --success-hex:	#00dd66;
  --success-hue:	148;
  --success-saturation:	100%;
  --success-lightness:	43%;
  --success-medium:	hsl(var(--success-hue), var(--success-saturation), var(--success-lightness));
  --success-bright:	hsl(var(--success-hue), var(--success-saturation), 73%);
  --success-dark:	hsl(var(--success-hue), var(--success-saturation), 13%);
  --warning-hex:	#ffcc00;
  --warning-hue:	48;
  --warning-saturation:	100%;
  --warning-lightness:	50%;
  --warning-medium:	hsl(var(--waning-hue), var(--waning-saturation), var(--waning-lightness));
  --warning-bright:	hsl(var(--waning-hue), var(--waning-saturation), 80%);
  --warning-dark:	hsl(var(--waning-hue), var(--waning-saturation), 20%);
  --error-hex:	#dc2254;
  --error-hue:	344;
  --error-saturation:	73%;
  --error-lightness:	50%;
  --error-medium:	hsl(var(--error-hue), var(--error-saturation), var(--error-lightness));
  --error-bright:	hsl(var(--error-hue), var(--error-saturation), 80%);
  --error-dark:	hsl(var(--error-hue), var(--error-saturation), 20%);
  --font-family:	"Nunito", sans-serif;
  --fs-10:	1.0rem;
  --fs-12:	1.2rem;
  --fs-14:	1.4rem;
  --fs-16:	1.6rem;
  --fs-18:	1.8rem;
  --fs-20:	2.0rem;
  --fs-22:	2.2rem;
  --fs-24:	2.4rem;
  --fs-26:	2.6rem;
  --fs-28:	2.8rem;
  --fs-30:	3.0rem;
  --fs-32:	3.2rem;
  --fs-34:	3.4rem;
  --fs-36:	3.6rem;
  --fs-38:	3.8rem;
  --fs-40:	4.0rem;
  --lh:	1.5;
}

.scope-kopfrechnen {
  --main-hex:	#d11040;
  --main-hue:	345;
  --main-saturation:	86%;
  --main-lightness:	44%;
  --main-medium:	hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  --main-bright:	hsl(var(--main-hue), var(--main-saturation), 84%);
  --main-dark:	hsl(var(--main-hue), var(--main-saturation), 14%);
}

.scope-knobelix {
  --main-hex:	#89bcff;
  --main-hue:	217;
  --main-saturation:	100%;
  --main-lightness:	77%;
  --main-medium:	hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  --main-bright:	hsl(var(--main-hue), var(--main-saturation), 87%);
  --main-dark:	hsl(var(--main-hue), var(--main-saturation), 47%);
}

.scope-euklid,
.scope-heron,
.scope-prim {
  --main-hex:	#866816;
  --main-hue:	44;
  --main-saturation:	72%;
  --main-lightness:	31%;
  --main-medium:	hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  --main-bright:	hsl(var(--main-hue), var(--main-saturation), 82%);
  --main-dark:	hsl(var(--main-hue), var(--main-saturation), 17%);
}

.scope-sudoku {
  --main-hex:	#0099AC;
  --main-hue:	187;
  --main-saturation:	100%;
  --main-lightness:	34%;
  --main-medium:	hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  --main-bright:	hsl(var(--main-hue), var(--main-saturation), 84%);
  --main-dark:	hsl(var(--main-hue), var(--main-saturation), 14%);
}

.scope-lesegelaeufigkeit {
  --main-hex:	#d99c40;
  --main-hue:	36;
  --main-saturation:	67%;
  --main-lightness:	55%;
  --main-medium:	hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  --main-bright:	hsl(var(--main-hue), var(--main-saturation), 85%);
  --main-dark:	hsl(var(--main-hue), var(--main-saturation), 25%);
}

html {
  font-size: 100%;
}
@media (max-width: 830px) {
  html {
    font-size: 62.5%;
  }
}

body {
  display: grid;
  grid-template-rows: auto 1fr auto;
  grid-template-areas: "titel" "content" "footer";
  background-color: hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  font-family: var(--font-family);
  font-size: var(--fs-16);
  font-weight: var(--normal);
  color: var(--text);
  line-height: var(--lh);
}

.titel {
  grid-area: titel;
}
@media (max-width: 830px) {
  .titel {
    padding: 0 2rem;
  }
}
.titel h1 {
  width: 60rem;
  margin: 0 auto;
  padding: 4rem 0;
  border-bottom: 6rem solid var(--bg);
}
@media (max-width: 1090px) {
  .titel h1 {
    width: 100%;
    padding: 2rem;
  }
}
@media (max-width: 830px) {
  .titel h1 {
    border-bottom-width: 4rem;
  }
}
.titel h1 img {
  max-width: 100%;
  vertical-align: middle;
}

.wrapper {
  grid-area: content;
  background-color: var(--bg);
}

.content {
  width: 60rem;
  max-width: 100%;
  margin: 0 auto;
  padding: 0 4rem 4rem;
}
.content img {
  max-width: 100%;
  vertical-align: middle;
}
@media (max-width: 1090px) {
  .content {
    width: 100%;
    padding: 2rem 4rem;
  }
}

.footer {
  grid-area: footer;
  padding-top: 2rem;
  padding-bottom: 4rem;
  background-color: var(--bg);
  text-align: center;
}
.footer svg {
  width: 6rem;
  height: 2rem;
  fill: #ddd;
  vertical-align: middle;
}

details.dropdown {
  position: relative;
  padding: 0;
  border: none;
  /* Close the dropdown with outside clicks */
}
details.dropdown summary {
  list-style: none;
  list-style-type: none;
}
details.dropdown > summary::-webkit-details-marker {
  display: none;
}
details.dropdown summary:focus {
  outline: none;
}
details.dropdown summary:focus {
  outline: none;
}
details.dropdown > ul,
details.dropdown > div {
  position: absolute;
  margin: 1.5rem 0 0 0;
  padding: 0.6rem 0;
  width: 24rem;
  left: 50%;
  margin-left: -12rem;
  box-sizing: border-box;
  z-index: 2;
  background-color: var(--main-bright);
  border-radius: 0.6rem;
  box-shadow: 0 0 1rem #aaa;
  list-style: none;
  /* Dropdown triangle */
}
details.dropdown > ul::before,
details.dropdown > div::before {
  content: " ";
  position: absolute;
  width: 0;
  height: 0;
  top: -1rem;
  left: 50%;
  margin-left: -1rem;
  border-style: solid;
  border-width: 0 1rem 1rem 1rem;
  border-color: transparent transparent var(--main-bright) transparent;
}
details.dropdown > ul.right,
details.dropdown > div.right {
  left: auto;
  right: 0;
}
details.dropdown > ul.right::before,
details.dropdown > div.right::before {
  left: auto;
  right: 1rem;
}
details.dropdown > ul.narrow li > a,
details.dropdown > div.narrow li > a {
  padding: 0.4rem 0.8rem;
}
details.dropdown > ul.padding,
details.dropdown > div.padding {
  padding: 0.6rem;
}
details.dropdown > ul li {
  padding: 0;
  margin: 0;
}
details.dropdown > ul li > a {
  display: inline-block;
  padding: 0.8rem;
  width: 100%;
  box-sizing: border-box;
  color: var(--bg);
}
details.dropdown > ul li > a:hover {
  background-color: var(--main-bright);
  text-decoration: none;
}
details.dropdown > ul li > a.error {
  color: var(--error-main);
}
details.dropdown > ul li.active a {
  background-color: var(--main-bright);
}
details.dropdown > ul li > .inner {
  display: inline-block;
  padding: 0.8rem;
}
details.dropdown > ul li.caret-inset > a {
  padding-left: 3.3rem;
}
details.dropdown > ul li.title {
  padding: 0.8rem;
  font-weight: var(--bold);
}
details.dropdown > ul li.divider {
  height: 1px;
  margin: 0.4rem 0;
  overflow: hidden;
  background-color: #aaa;
}
details.dropdown > summary::before {
  display: none;
}
details.dropdown.w16 > ul {
  width: 16rem;
  margin-left: -8rem;
}

details.dropdown[open] > summary::before {
  content: " ";
  display: block;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 1;
}

.grid-1-1 {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.grid-1-2 {
  display: grid;
  grid-template-columns: 1fr 2fr;
}

.grid-1-3 {
  display: grid;
  grid-template-columns: 1fr 3fr;
}

.grid-1-4 {
  display: grid;
  grid-template-columns: 1fr 4fr;
}

.grid-2-1 {
  display: grid;
  grid-template-columns: 2fr 1fr;
}

.grid-3-1 {
  display: grid;
  grid-template-columns: 3fr 1fr;
}

.grid-3-2 {
  display: grid;
  grid-template-columns: 3fr 2fr;
}

.grid-1-1-1 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.grid-2-1-1 {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
}

.grid-1-2-1 {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
}

.grid-1-1-2 {
  display: grid;
  grid-template-columns: 1fr 1fr 2fr;
}

.grid-1-2-2 {
  display: grid;
  grid-template-columns: 1fr 2fr 2fr;
}

.grid-1-1-1-1 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}

.grid-1-1-1-1-1 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

.grid-auto-1 {
  display: grid;
  grid-template-columns: auto 1fr;
}

@media (max-width: 830px) {
  .grid-1-1,
  .grid-1-2,
  .grid-1-3,
  .grid-1-4,
  .grid-2-1,
  .grid-3-1,
  .grid-3-2,
  .grid-1-1-1,
  .grid-2-1-1,
  .grid-1-2-1,
  .grid-1-1-2,
  .grid-1-2-2,
  .grid-1-1-1-1,
  .grid-1-1-1-1-1 {
    grid-template-columns: 100%;
  }
}
.flex {
  display: flex;
}
.flex.act {
  align-items: center;
}
.flex .flex-1 {
  flex: 1;
}
.flex .grow {
  flex-grow: 1;
}

.gap-0 {
  gap: 0rem;
}

.gap-1 {
  gap: 1rem;
}

.gap-2 {
  gap: 2rem;
}

.gap-3 {
  gap: 3rem;
}

.gap-4 {
  gap: 4rem;
}

.gap-5 {
  gap: 5rem;
}

.gap-6 {
  gap: 6rem;
}

.gap-7 {
  gap: 7rem;
}

.gap-8 {
  gap: 8rem;
}

.gap-9 {
  gap: 9rem;
}

.gap-10 {
  gap: 10rem;
}

.mb0 {
  margin-bottom: 0rem;
}

.mt0 {
  margin-top: 0rem;
}

.ml0 {
  margin-left: 0rem;
}

.mr0 {
  margin-right: 0rem;
}

.m5 {
  margin: 0rem;
}

.mb5 {
  margin-bottom: 0.5rem;
}

.mt5 {
  margin-top: 0.5rem;
}

.ml5 {
  margin-left: 0.5rem;
}

.mr5 {
  margin-right: 0.5rem;
}

.m5 {
  margin: 0.5rem;
}

.mb10 {
  margin-bottom: 1rem;
}

.mt10 {
  margin-top: 1rem;
}

.ml10 {
  margin-left: 1rem;
}

.mr10 {
  margin-right: 1rem;
}

.m10 {
  margin: 1rem;
}

.mb15 {
  margin-bottom: 1.5rem;
}

.mt15 {
  margin-top: 1.5rem;
}

.ml15 {
  margin-left: 1.5rem;
}

.mr15 {
  margin-right: 1.5rem;
}

.m15 {
  margin: 1.5rem;
}

.mb20 {
  margin-bottom: 2rem;
}

.mt20 {
  margin-top: 2rem;
}

.ml20 {
  margin-left: 2rem;
}

.mr20 {
  margin-right: 2rem;
}

.m20 {
  margin: 2rem;
}

.mb25 {
  margin-bottom: 2.5rem;
}

.mt25 {
  margin-top: 2.5rem;
}

.ml25 {
  margin-left: 2.5rem;
}

.mr25 {
  margin-right: 2.5rem;
}

.m25 {
  margin: 2.5rem;
}

.mb30 {
  margin-bottom: 3rem;
}

.mt30 {
  margin-top: 3rem;
}

.ml30 {
  margin-left: 3rem;
}

.mr30 {
  margin-right: 3rem;
}

.m30 {
  margin: 3rem;
}

.mb40 {
  margin-bottom: 4rem;
}

.mt40 {
  margin-top: 4rem;
}

.ml40 {
  margin-left: 4rem;
}

.mr40 {
  margin-right: 4rem;
}

.m40 {
  margin: 4rem;
}

.mb50 {
  margin-bottom: 5rem;
}

.mt50 {
  margin-top: 5rem;
}

.ml50 {
  margin-left: 5rem;
}

.mr50 {
  margin-right: 5rem;
}

.m50 {
  margin: 5rem;
}

.mb60 {
  margin-bottom: 6rem;
}

.mt60 {
  margin-top: 6rem;
}

.ml60 {
  margin-left: 6rem;
}

.mr60 {
  margin-right: 6rem;
}

.m60 {
  margin: 6rem;
}

.mb70 {
  margin-bottom: 7rem;
}

.mt70 {
  margin-top: 7rem;
}

.ml70 {
  margin-left: 7rem;
}

.mr70 {
  margin-right: 7rem;
}

.m70 {
  margin: 7rem;
}

.mb80 {
  margin-bottom: 8rem;
}

.mt80 {
  margin-top: 8rem;
}

.ml80 {
  margin-left: 8rem;
}

.mr80 {
  margin-right: 8rem;
}

.m80 {
  margin: 8rem;
}

.pb0 {
  padding-bottom: 0rem;
}

.pt0 {
  padding-top: 0rem;
}

.pl0 {
  padding-left: 0rem;
}

.pr0 {
  padding-right: 0rem;
}

.p5 {
  padding: 0rem;
}

.pb5 {
  padding-bottom: 0.5rem;
}

.pt5 {
  padding-top: 0.5rem;
}

.pl5 {
  padding-left: 0.5rem;
}

.pr5 {
  padding-right: 0.5rem;
}

.p5 {
  padding: 0.5rem;
}

.pb6 {
  padding-bottom: 0.6rem;
}

.pt6 {
  padding-top: 0.6rem;
}

.pl6 {
  padding-left: 0.6rem;
}

.pr6 {
  padding-right: 0.6rem;
}

.p6 {
  padding: 0.6rem;
}

.pb7 {
  padding-bottom: 0.7rem;
}

.pt7 {
  padding-top: 0.7rem;
}

.pl7 {
  padding-left: 0.7rem;
}

.pr7 {
  padding-right: 0.7rem;
}

.p7 {
  padding: 0.7rem;
}

.pb8 {
  padding-bottom: 0.8rem;
}

.pt8 {
  padding-top: 0.8rem;
}

.pl8 {
  padding-left: 0.8rem;
}

.pr8 {
  padding-right: 0.8rem;
}

.p8 {
  padding: 0.8rem;
}

.pb9 {
  padding-bottom: 0.9rem;
}

.pt9 {
  padding-top: 0.9rem;
}

.pl9 {
  padding-left: 0.9rem;
}

.pr9 {
  padding-right: 0.9rem;
}

.p9 {
  padding: 0.9rem;
}

.pb10 {
  padding-bottom: 1rem;
}

.pt10 {
  padding-top: 1rem;
}

.pl10 {
  padding-left: 1rem;
}

.pr10 {
  padding-right: 1rem;
}

.p10 {
  padding: 1rem;
}

.pb15 {
  padding-bottom: 1.5rem;
}

.pt15 {
  padding-top: 1.5rem;
}

.pl15 {
  padding-left: 1.5rem;
}

.pr15 {
  padding-right: 1.5rem;
}

.p15 {
  padding: 1.5rem;
}

.pb20 {
  padding-bottom: 2rem;
}

.pt20 {
  padding-top: 2rem;
}

.pl20 {
  padding-left: 2rem;
}

.pr20 {
  padding-right: 2rem;
}

.p20 {
  padding: 2rem;
}

.pb25 {
  padding-bottom: 2.5rem;
}

.pt25 {
  padding-top: 2.5rem;
}

.pl25 {
  padding-left: 2.5rem;
}

.pr25 {
  padding-right: 2.5rem;
}

.p25 {
  padding: 2.5rem;
}

.pb30 {
  padding-bottom: 3rem;
}

.pt30 {
  padding-top: 3rem;
}

.pl30 {
  padding-left: 3rem;
}

.pr30 {
  padding-right: 3rem;
}

.p30 {
  padding: 3rem;
}

.pb40 {
  padding-bottom: 4rem;
}

.pt40 {
  padding-top: 4rem;
}

.pl40 {
  padding-left: 4rem;
}

.pr40 {
  padding-right: 4rem;
}

.p40 {
  padding: 4rem;
}

.pb50 {
  padding-bottom: 5rem;
}

.pt50 {
  padding-top: 5rem;
}

.pl50 {
  padding-left: 5rem;
}

.pr50 {
  padding-right: 5rem;
}

.p50 {
  padding: 5rem;
}

.pb60 {
  padding-bottom: 6rem;
}

.pt60 {
  padding-top: 6rem;
}

.pl60 {
  padding-left: 6rem;
}

.pr60 {
  padding-right: 6rem;
}

.p60 {
  padding: 6rem;
}

.pb70 {
  padding-bottom: 7rem;
}

.pt70 {
  padding-top: 7rem;
}

.pl70 {
  padding-left: 7rem;
}

.pr70 {
  padding-right: 7rem;
}

.p70 {
  padding: 7rem;
}

.pb80 {
  padding-bottom: 8rem;
}

.pt80 {
  padding-top: 8rem;
}

.pl80 {
  padding-left: 8rem;
}

.pr80 {
  padding-right: 8rem;
}

.p80 {
  padding: 8rem;
}

.hide {
  display: none;
}

a {
  color: hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  text-decoration: none;
}
a:hover {
  --lightness: max(calc(var(--main-lightness) - 8%), 0%);
  color: hsl(var(--main-hue), var(--main-saturation), var(--lightness));
  text-decoration: underline;
}
a:hover > i {
  text-decoration: none;
}
a.icon {
  padding: 0.6rem 0 0.6rem 0.6rem;
  white-space: nowrap;
}
a.labeled-icon {
  display: inline-block;
  padding: 0.3rem 0.6rem;
  margin-right: 1.2rem;
}
a.labeled-icon:last-child {
  margin-right: 0;
}
a.labeled-icon.active {
  background-color: hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  color: #fff;
}
a.inactive {
  color: #999;
}
a.inactive:hover {
  text-decoration: none;
}
a i:not(.nlb) {
  padding-right: 0.6rem;
}

strong,
.strong {
  font-weight: var(--bold);
}

em {
  font-style: italic;
}

sup {
  vertical-align: super;
  font-size: 80%;
}

sub {
  vertical-align: sub;
  font-size: 80%;
}

small,
.small {
  font-size: 85%;
}

.opacity1 {
  opacity: 0.1;
}

.opacity2 {
  opacity: 0.2;
}

.opacity3 {
  opacity: 0.3;
}

.opacity4 {
  opacity: 0.4;
}

.opacity5 {
  opacity: 0.5;
}

.opacity6 {
  opacity: 0.6;
}

.opacity7 {
  opacity: 0.7;
}

.opacity8 {
  opacity: 0.8;
}

.opacity9 {
  opacity: 0.9;
}

.txt-main  {
  color: hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
}

.txt-error {
  color: hsl(var(--error-hue), var(--error-saturation), var(--error-lightness));
}

.txt-success {
  color: hsl(var(--success-hue), var(--success-saturation), var(--success-lightness));
}

.txt-warning {
  color: hsl(var(--warning-hue), var(--warning-saturation), var(--warning-lightness));
}

.lt {
  text-align: left;
}

.rt {
  text-align: right;
}

.ct {
  text-align: center;
}

p {
  margin-bottom: 1rem;
  line-height: var(--lh);
}

h1, h2, h3, h4, h5, h6 {
  font-weight: var(--bold);
  line-height: 1.2;
}
h1 small, h2 small, h3 small, h4 small, h5 small, h6 small {
  font-weight: var(--normal);
  line-height: 1;
  color: #aaa;
}

h1 {
  font-size: var(--fs-40);
}

h2 {
  font-size: var(--fs-30);
}

h3 {
  font-size: var(--fs-24);
}

@media (max-width: var(--phone)) {
  h2 {
    font-size: var(--fs-24);
  }
  h3 {
    font-size: var(--fs-20);
  }
}
.fs10 {
  font-size: var(--fs-10);
}

.fs12 {
  font-size: var(--fs-12);
}

.fs14 {
  font-size: var(--fs-14);
}

.fs16 {
  font-size: var(--fs-16);
}

.fs18 {
  font-size: var(--fs-18);
}

.fs20 {
  font-size: var(--fs-20);
}

.fs22 {
  font-size: var(--fs-22);
}

.fs24 {
  font-size: var(--fs-24);
}

.fs26 {
  font-size: var(--fs-26);
}

.fs28 {
  font-size: var(--fs-28);
}

.fs30 {
  font-size: var(--fs-30);
}

.fs32 {
  font-size: var(--fs-32);
}

.fs34 {
  font-size: var(--fs-34);
}

.fs36 {
  font-size: var(--fs-36);
}

.fs38 {
  font-size: var(--fs-38);
}

.fs40 {
  font-size: var(--fs-40);
}

.alert-info {
  --bg-lightness: min(calc(var(--main-lightness) + 30%), 100%);
  --text-lightness: max(calc(var(--main-lightness) - 20%), 100%);
  padding: 0.5rem 1rem;
  background-color: hsl(var(--main-hue), var(--main-saturation), var(--bg-lightness));
  color: hsl(var(--main-hue), var(--main-saturation), var(--text-lightness));
}

.alert-success {
  --bg-lightness: min(calc(var(--success-lightness) + 30%), 100%);
  --text-lightness: max(calc(var(--success-lightness) - 20%), 0%);
  padding: 0.5rem 1rem;
  background-color: hsl(var(--success-hue), var(--success-saturation), var(--bg-lightness));
  color: hsl(var(--success-hue), var(--success-saturation), var(--text-lightness));
}

.alert-warning {
  --bg-lightness: min(calc(var(--warning-lightness) + 30%), 100%);
  --text-lightness: max(calc(var(--warning-lightness) - 20%), 0%);
  padding: 0.5rem 1rem;
  background-color: hsl(var(--warning-hue), var(--warning-saturation), var(--bg-lightness));
  color: hsl(var(--warning-hue), var(--warning-saturation), var(--text-lightness));
}

.alert-error {
  --bg-lightness: min(calc(var(--error-lightness) + 30%), 100%);
  --text-lightness: max(calc(var(--error-lightness) - 20%), 0%);
  padding: 0.5rem 1rem;
  background-color: hsl(var(--error-hue), var(--error-saturation), var(--bg-lightness));
  color: hsl(var(--error-hue), var(--error-saturation), var(--text-lightness));
}

ol {
  line-height: var(--lh);
  list-style-type: decimal;
  margin-bottom: 1.2rem;
  margin-left: 2rem;
}
ol li  {
  padding-left: 1.2rem;
}

ul.dots {
  list-style-type: disc;
  margin-left: 1rem;
  text-align: left;
  line-height: var(--lh);
}
ul.dots.mb {
  margin-bottom: 1.2rem;
}
ul.dots li {
  margin-left: 0.5rem;
}
ul.dots li::marker {
  font-size: 120%;
  line-height: 1.2;
}

math {
  display: inline-block;
  font-family: var(--font-family);
}

mfrac > *:first-child  {
  padding-bottom: 3px;
}

mfrac > *:last-child {
  padding-top: 3px;
}

table {
  max-width: 100%;
  background-color: transparent;
}

th {
  text-align: left;
  font-size: var(--fs-14);
  line-height: var(--lh);
  text-transform: uppercase;
  font-weight: var(--bold);
}

.table {
  width: 100%;
}
.table thead > tr > th,
.table thead > tr > td,
.table tbody > tr > th,
.table tbody > tr > td,
.table tfoot > tr > th,
.table tfoot > tr > td {
  padding: 0.8rem;
  line-height: var(--lh);
  vertical-align: top;
  border-bottom: 1px solid #ddd;
  -webkit-transition: background-color 0.1s linear;
  transition: background-color 0.1s linear;
}
.table thead > tr > th.col-name,
.table thead > tr > td.col-name,
.table tbody > tr > th.col-name,
.table tbody > tr > td.col-name,
.table tfoot > tr > th.col-name,
.table tfoot > tr > td.col-name {
  width: 12rem;
  overflow: hidden;
  text-overflow: ellipsis;
}
.table thead > tr > th.col-nr,
.table thead > tr > td.col-nr,
.table tbody > tr > th.col-nr,
.table tbody > tr > td.col-nr,
.table tfoot > tr > th.col-nr,
.table tfoot > tr > td.col-nr {
  width: 4rem;
  text-align: right;
}
.table tbody:first-of-type > tr > th,
.table tbody:first-of-type > tr > td {
  border-top: 1px solid #ddd;
}
.table thead > tr > th {
  vertical-align: bottom;
  border-bottom: 2px solid #ddd;
}
.table caption + thead tr:first-child th, .table caption + thead tr:first-child td,
.table colgroup + thead tr:first-child th,
.table colgroup + thead tr:first-child td,
.table thead:first-child tr:first-child th,
.table thead:first-child tr:first-child td {
  border-top: 0;
}
.table tbody + tbody {
  border-top: 2px solid #ddd;
}
.table .table {
  background-color: #fff;
}

.table-condensed thead > tr > th,
.table-condensed thead > tr > td,
.table-condensed tbody > tr > th,
.table-condensed tbody > tr > td,
.table-condensed tfoot > tr > th,
.table-condensed tfoot > tr > td {
  padding: 0.4rem;
}

.table-hover > tbody > tr:hover > td,
.table-hover > tbody > tr:hover > th {
  background-color: #ddd;
}

.table > thead > tr > td.active,
.table > thead > tr > th.active, .table > thead > tr.active > td, .table > thead > tr.active > th,
.table > tbody > tr > td.active,
.table > tbody > tr > th.active,
.table > tbody > tr.active > td,
.table > tbody > tr.active > th,
.table > tfoot > tr > td.active,
.table > tfoot > tr > th.active,
.table > tfoot > tr.active > td,
.table > tfoot > tr.active > th {
  background-color: #f5f5f5;
}

input,
button,
select,
textarea {
  font-family: var(--font-family);
  font-weight: var(--normal);
}

select,
textarea,
input[type=text],
input[type=password],
input[type=datetime],
input[type=datetime-local],
input[type=date],
input[type=month],
input[type=time],
input[type=week],
input[type=number],
input[type=email],
input[type=url],
input[type=search],
input[type=tel],
input[type=color] {
  display: inline-block;
  width: 100%;
  margin: 0;
  padding: 0.6rem;
  font-size: var(--fs-16);
  line-height: var(--lh);
  color: var(--text);
  vertical-align: middle;
  background-color: #f0f0f0;
  border: none;
  border-radius: 0;
}
select:focus,
textarea:focus,
input[type=text]:focus,
input[type=password]:focus,
input[type=datetime]:focus,
input[type=datetime-local]:focus,
input[type=date]:focus,
input[type=month]:focus,
input[type=time]:focus,
input[type=week]:focus,
input[type=number]:focus,
input[type=email]:focus,
input[type=url]:focus,
input[type=search]:focus,
input[type=tel]:focus,
input[type=color]:focus {
  outline: 0;
  background-color: #f3f3f3;
}
select[disabled],
textarea[disabled],
input[type=text][disabled],
input[type=password][disabled],
input[type=datetime][disabled],
input[type=datetime-local][disabled],
input[type=date][disabled],
input[type=month][disabled],
input[type=time][disabled],
input[type=week][disabled],
input[type=number][disabled],
input[type=email][disabled],
input[type=url][disabled],
input[type=search][disabled],
input[type=tel][disabled],
input[type=color][disabled] {
  border-color: #f7f7f7;
  color: #999;
}

select {
  -webkit-appearance: none;
  height: var(--lh);
  background-color: #e9e9e9;
  background-image: url("../_img/select-arrows.svg");
  background-size: auto var(--lh);
  background-position: right center;
  background-repeat: no-repeat;
}

textarea {
  height: auto;
}

input.datum {
  width: 9.5rem;
}

input.zeit {
  width: 5rem;
}

input[type=range] {
  -webkit-appearance: none;
  width: 100%;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 6px;
  box-shadow: none;
  background: #ccc;
  border-radius: 3px;
  border: 0;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: none;
  border: 0;
  height: 18px;
  width: 18px;
  border-radius: 9px;
  background: hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
  -webkit-appearance: none;
  margin-top: -6px;
}
input[type=range]::-webkit-slider-container {
  background: transparent;
}
input[type=range][disabled]::-webkit-slider-runnable-track {
  background: #eee;
}
input[type=range][disabled]::-webkit-slider-thumb {
  background: #aaa;
}

.form-group {
  margin-bottom: 1.5rem;
}
.form-group label:not(.radio-inline):not(.checkbox-inline):not(.radio):not(.checkbox) {
  display: block;
  font-size: var(--fs-14);
  line-height: var(--lh);
  text-transform: uppercase;
  padding-bottom: 0.5rem;
}
.form-group label.radio,
.form-group label.checkbox {
  display: block;
  padding-top: 0.6rem;
}
.form-group label.radio dl,
.form-group label.checkbox dl {
  width: 100%;
  overflow: hidden;
  line-height: 1.5;
}
.form-group label.radio dt,
.form-group label.checkbox dt {
  float: left;
  width: 2rem;
}
.form-group label.radio dd,
.form-group label.checkbox dd {
  float: left;
}
.form-group .error {
  display: none;
  font-size: var(--fs-14);
  line-height: var(--lh);
  margin: 0.5rem 0.6rem;
}
.form-group .small {
  font-size: var(--fs-14);
  line-height: var(--lh);
  margin: 0.5rem 0.6rem;
}
.form-group .small.checkbox {
  margin-left: 2rem;
}
.form-group.plt {
  margin-right: 1rem;
}
.form-group.has-error input,
.form-group.has-error textarea,
.form-group.has-error select {
  --lightness: min(calc(var(--error-lightness) + 20%), 100%);
  background-color: hsl(var(--error-hue), var(--error-saturation), var(--lightness));
}
.form-group.has-error input:focus,
.form-group.has-error textarea:focus,
.form-group.has-error select:focus {
  --lightness: min(calc(var(--error-lightness) + 25%), 100%);
  background-color: hsl(var(--error-hue), var(--error-saturation), var(--lightness));
}
.form-group.has-error label,
.form-group.has-error .error {
  color: hsl(var(--error-hue), var(--error-saturation), var(--error-lightness));
}
.form-group input + input {
  margin-left: 1rem;
}

.form-group-1-1 {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-2-1 {
  display: grid;
  grid-template-columns: minmax(0, 2fr) minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-2 {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 2fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-3-1 {
  display: grid;
  grid-template-columns: minmax(0, 3fr) minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-3 {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 3fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-1-1 {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-2-2-1 {
  display: grid;
  grid-template-columns: minmax(0, 2fr) minmax(0, 2fr) minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-1-1-1 {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-auto {
  display: grid;
  grid-template-columns: minmax(0, 1fr) auto;
  column-gap: 2rem;
  align-items: end;
}

.form-group-auto-1 {
  display: grid;
  grid-template-columns: auto minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-1-auto {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) auto;
  column-gap: 2rem;
  align-items: end;
}

.form-group-auto-auto-1 {
  display: grid;
  grid-template-columns: auto auto minmax(0, 1fr);
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-auto-auto {
  display: grid;
  grid-template-columns: minmax(0, 1fr) auto auto;
  column-gap: 2rem;
  align-items: end;
}

.form-group-1-1.align-start,
.form-group-2-1.align-start,
.form-group-1-2.align-start,
.form-group-3-1.align-start,
.form-group-1-3.align-start,
.form-group-1-1-1.align-start,
.form-group-2-2-1.align-start,
.form-group-1-1-1-1.align-start,
.form-group-1-auto.align-start,
.form-group-auto-1.align-start,
.form-group-1-1-auto.align-start,
.form-group-auto-auto-1.align-start,
.form-group-1-auto-auto.align-start {
  align-items: start;
}
@media (max-width: var(--phone)) {
  .form-group-1-1,
  .form-group-2-1,
  .form-group-1-2,
  .form-group-3-1,
  .form-group-1-3,
  .form-group-1-1-1,
  .form-group-2-2-1,
  .form-group-1-1-1-1,
  .form-group-1-auto,
  .form-group-auto-1,
  .form-group-1-1-auto,
  .form-group-auto-auto-1,
  .form-group-1-auto-auto {
    grid-template-columns: 100%;
  }
}

.form-actions {
  text-align: right;
  margin-top: 2rem;
}
.form-actions button {
  margin-left: 1rem;
}
.form-actions button.plt  {
  margin-left: 0;
  margin-right: 1rem;
}
.form-actions a {
  display: inline-block;
  height: 3.6rem;
  padding: 0 1.2rem;
  margin: 0;
  font-size: var(--fs-16);
  line-height: 3.8rem;
}

.radio-inline,
.checkbox-inline {
  display: inline-block;
  margin-bottom: 0;
  vertical-align: middle;
  font-weight: normal;
  cursor: pointer;
  margin-left: 0.6rem;
}

.radio-inline + .radio-inline,
.checkbox-inline + .checkbox-inline {
  margin-top: 0;
  margin-left: 1rem;
}

form.inline {
  display: flex;
  align-items: flex-end;
  margin-bottom: 2rem;
}
form.inline .form-group {
  margin: 0 1rem 0 0;
}
form.inline .form-actions {
  margin: 0;
}

.btn,
.btn-main,
.btn-success,
.btn-warning,
.btn-error {
  display: inline-block;
  padding: 0.6rem 1.2rem;
  margin: 0;
  font-size: var(--fs-16);
  border: none;
  -webkit-transition: background-color 0.1s linear;
  transition: background-color 0.1s linear;
  color: #555;
  background-color: #ddd;
}
.btn:hover, .btn:focus,
.btn-main:hover,
.btn-main:focus,
.btn-success:hover,
.btn-success:focus,
.btn-warning:hover,
.btn-warning:focus,
.btn-error:hover,
.btn-error:focus {
  cursor: pointer;
  color: #555;
  background-color: #aaa;
  text-decoration: none;
}
.btn:active, .btn.active,
.btn-main:active,
.btn-main.active,
.btn-success:active,
.btn-success.active,
.btn-warning:active,
.btn-warning.active,
.btn-error:active,
.btn-error.active {
  outline: 0;
  box-shadow: inset 0 0.3rem 0.5rem rgba(0, 0, 0, 0.2);
}
.btn[disabled]:hover,
.btn-main[disabled]:hover,
.btn-success[disabled]:hover,
.btn-warning[disabled]:hover,
.btn-error[disabled]:hover {
  cursor: default;
  background-color: #ddd;
  box-shadow: none;
}
.btn i,
.btn-main i,
.btn-success i,
.btn-warning i,
.btn-error i {
  line-height: inherit;
}

.btn-main,
.btn-success,
.btn-warning,
.btn-error {
  color: #fff;
}
.btn-main:hover, .btn-main:focus, .btn-main:active, .btn-main.active,
.btn-success:hover,
.btn-success:focus,
.btn-success:active,
.btn-success.active,
.btn-warning:hover,
.btn-warning:focus,
.btn-warning:active,
.btn-warning.active,
.btn-error:hover,
.btn-error:focus,
.btn-error:active,
.btn-error.active {
  color: #fff;
}

.btn-main {
  background-color: hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
}
.btn-main:hover, .btn-main:focus, .btn-main:active, .btn-main.active {
  --lightness: max(calc(var(--main-lightness) - 8%), 0%);
  background-color: hsl(var(--main-hue), var(--main-saturation), var(--lightness));
}
.btn-main[disabled]:hover {
  background-color: hsl(var(--main-hue), var(--main-saturation), var(--main-lightness));
}

.btn-warning {
  background-color: hsl(var(--warning-hue), var(--warning-saturation), var(--warning-lightness));
}
.btn-warning:hover, .btn-warning:focus, .btn-warning:active, .btn-warning.active {
  --lightness: max(calc(var(--warning-lightness) - 8%), 0%);
  background-color: hsl(var(--warning-hue), var(--warning-saturation), var(--lightness));
}
.btn-warning[disabled]:hover {
  background-color: hsl(var(--warning-hue), var(--warning-saturation), var(--warning-lightness));
}

.btn-error {
  background-color: hsl(var(--error-hue), var(--error-saturation), var(--error-lightness));
}
.btn-error:hover, .btn-error:focus, .btn-error:active, .btn-error.active {
  --lightness: max(calc(var(--error-lightness) - 8%), 0%);
  background-color: hsl(var(--error-hue), var(--error-saturation), var(--lightness));
}
.btn-error[disabled]:hover {
  background-color: hsl(var(--error-hue), var(--error-saturation), var(--error-lightness));
}

.btn-success {
  background-color: hsl(var(--success-hue-hue), var(--success-saturation), var(--success-lightness));
}
.btn-success:hover, .btn-success:focus, .btn-success:active, .btn-success.active {
  --lightness: max(calc(var(--success-lightness) - 8%), 0%);
  background-color: hsl(var(--success-hue), var(--success-saturation), var(--lightness));
}
.btn-success[disabled]:hover {
  background-color: hsl(var(--success-hue), var(--success-saturation), var(--success-lightness));
}
